package static

import (
	"context"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type (
	Repository interface {
		// Get returns Resource on path if exists
		Get(ctx context.Context, path string) (*domain.Resource, error)

		// Fetch returns all resources from dir recursevly.
		Fetch(ctx context.Context, pattern string) (domain.Resources, int, error)
	}

	dummyRepository struct{}
)

func NewDummyRepository() dummyRepository {
	return dummyRepository{}
}

func (dummyRepository) Get(ctx context.Context, path string) (*domain.Resource, error) {
	return nil, nil
}

func (dummyRepository) Fetch(ctx context.Context, pattern string) (domain.Resources, int, error) {
	return nil, 0, nil
}
